<?php

/**
 * Class that operate on table 'menuurl'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2013-10-22 14:58
 */
class MenuurlMySqlExtDAO extends MenuurlMySqlDAO {

    public function queryAllinarray($myarray) {
        $sql = 'SELECT * FROM menuurl where menuurlid in (' . $myarray . ') order by orderno ASC';


        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function getAutoIncrementValue($DBName) {
        $sql = 'SELECT `AUTO_INCREMENT`
                FROM  INFORMATION_SCHEMA.TABLES
                WHERE TABLE_SCHEMA = "' . $DBName . '"
                AND   TABLE_NAME   = "menuurl" ';

        $sqlQuery = new SqlQuery($sql); //
        return $this->querySingleResult($sqlQuery);
    }

}

?>